# Uses of Interface
javafx.collections.ObservableSet

Packages that use ObservableSet
Package
Description
javafx.beans.binding
Provides classes that create and operate on a `Binding` that calculates a value that depends on one or more sources.
javafx.beans.property
The package `javafx.beans.property` defines read-only properties and writable properties, plus a number of implementations.
javafx.beans.value
The package `javafx.beans.value` contains the two fundamental interfaces `ObservableValue` and `WritableValue` and all of its sub-interfaces.
javafx.collections
Contains the essential JavaFX collections and collection utilities
javafx.css
Provides API for making properties styleable via CSS and for supporting pseudo-class state.
javafx.print
Provides the public classes for the JavaFX Printing API.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of ObservableSet in javafx.beans.binding

Classes in javafx.beans.binding that implement ObservableSet
Modifier and Type
Class
Description
`class`
`SetBinding<E>`
Base class that provides most of the functionality needed to implement a `Binding` of an `ObservableSet`.
`class`
`SetExpression<E>`
`SetExpression` is an `ObservableSetValue` plus additional convenience methods to generate bindings in a fluent style.
Methods in javafx.beans.binding that return ObservableSet
Modifier and Type
Method
Description
`protected abstract ObservableSet<E>`
SetBinding.`computeValue()`
Calculates the current value of this binding.
`final ObservableSet<E>`
SetBinding.`get()`
Returns the result of `SetBinding.computeValue()`.
`ObservableSet<E>`
SetExpression.`getValue()`
Methods in javafx.beans.binding with parameters of type ObservableSet
Modifier and Type
Method
Description
`static <E> void`
Bindings.`bindContent(Set<E> set1, ObservableSet<? extends E> set2)`
Generates a content binding between an `ObservableSet` and a `Set`.
`static <E> void`
Bindings.`bindContentBidirectional(ObservableSet<E> set1, ObservableSet<E> set2)`
Generates a bidirectional binding (or "bind with inverse") between two instances of `ObservableSet`.
`static <E> BooleanBinding`
Bindings.`isEmpty(ObservableSet<E> op)`
Creates a new `BooleanBinding` that holds `true` if a given `ObservableSet` is empty.
`BooleanBinding`
SetExpression.`isEqualTo(ObservableSet<?> other)`
Creates a new `BooleanBinding` that holds `true` if this set is equal to another `ObservableSet`.
`static <E> BooleanBinding`
Bindings.`isNotEmpty(ObservableSet<E> op)`
Creates a new `BooleanBinding` that holds `true` if a given `ObservableSet` is not empty.
`BooleanBinding`
SetExpression.`isNotEqualTo(ObservableSet<?> other)`
Creates a new `BooleanBinding` that holds `true` if this set is not equal to another `ObservableSet`.
`static <E> IntegerBinding`
Bindings.`size(ObservableSet<E> op)`
Creates a new `IntegerBinding` that contains the size of an `ObservableSet`.
Method parameters in javafx.beans.binding with type arguments of type ObservableSet
Modifier and Type
Method
Description
`void`
SetBinding.`addListener(ChangeListener<? super ObservableSet<E>> listener)`
`void`
SetBinding.`removeListener(ChangeListener<? super ObservableSet<E>> listener)`

## Uses of ObservableSet in javafx.beans.property

Classes in javafx.beans.property that implement ObservableSet
Modifier and Type
Class
Description
`class`
`ReadOnlySetProperty<E>`
Superclass for all readonly properties wrapping an `ObservableSet`.
`class`
`ReadOnlySetPropertyBase<E>`
Base class for all readonly properties wrapping an `ObservableSet`.
`class`
`ReadOnlySetWrapper<E>`
This class provides a convenient class to define read-only properties.
`class`
`SetProperty<E>`
This class provides a full implementation of a `Property` wrapping an `ObservableSet`.
`class`
`SetPropertyBase<E>`
The class `SetPropertyBase` is the base class for a property wrapping an `ObservableSet`.
`class`
`SimpleSetProperty<E>`
This class provides a full implementation of a `Property` wrapping an `ObservableSet`.
Methods in javafx.beans.property that return ObservableSet
Modifier and Type
Method
Description
`ObservableSet<E>`
SetPropertyBase.`get()`
Methods in javafx.beans.property with parameters of type ObservableSet
Modifier and Type
Method
Description
`void`
ReadOnlySetProperty.`bindContent(ObservableSet<E> set)`
Creates a content binding between the `ObservableSet`, that is wrapped in this `ReadOnlySetProperty`, and another `ObservableSet`.
`void`
ReadOnlySetProperty.`bindContentBidirectional(ObservableSet<E> set)`
Creates a bidirectional content binding of the `ObservableSet`, that is wrapped in this `ReadOnlySetProperty`, and another `ObservableSet`.
`void`
SetPropertyBase.`set(ObservableSet<E> newValue)`
`void`
SetProperty.`setValue(ObservableSet<E> v)`
Set the wrapped value.
Method parameters in javafx.beans.property with type arguments of type ObservableSet
Modifier and Type
Method
Description
`void`
ReadOnlySetPropertyBase.`addListener(ChangeListener<? super ObservableSet<E>> listener)`
`void`
SetPropertyBase.`addListener(ChangeListener<? super ObservableSet<E>> listener)`
`void`
SetPropertyBase.`bind(ObservableValue<? extends ObservableSet<E>> newObservable)`
`void`
SetProperty.`bindBidirectional(Property<ObservableSet<E>> other)`
Create a bidirectional binding between this `Property` and another one.
`void`
ReadOnlySetPropertyBase.`removeListener(ChangeListener<? super ObservableSet<E>> listener)`
`void`
SetPropertyBase.`removeListener(ChangeListener<? super ObservableSet<E>> listener)`
`void`
SetProperty.`unbindBidirectional(Property<ObservableSet<E>> other)`
Remove a bidirectional binding between this `Property` and another one.
Constructors in javafx.beans.property with parameters of type ObservableSet
Modifier
Constructor
Description
``
`ReadOnlySetWrapper(Object bean, String name, ObservableSet<E> initialValue)`
The constructor of `ReadOnlySetWrapper`
``
`ReadOnlySetWrapper(ObservableSet<E> initialValue)`
The constructor of `ReadOnlySetWrapper`
``
`SetPropertyBase(ObservableSet<E> initialValue)`
The constructor of the `SetPropertyBase`.
``
`SimpleSetProperty(Object bean, String name, ObservableSet<E> initialValue)`
The constructor of `SimpleSetProperty`
``
`SimpleSetProperty(ObservableSet<E> initialValue)`
The constructor of `SimpleSetProperty`

## Uses of ObservableSet in javafx.beans.value

Subinterfaces of ObservableSet in javafx.beans.value
Modifier and Type
Interface
Description
`interface`
`ObservableSetValue<E>`
An observable reference to an `ObservableSet`.
`interface`
`WritableSetValue<E>`
A writable reference to an `ObservableSet`.

## Uses of ObservableSet in javafx.collections

Methods in javafx.collections that return ObservableSet
Modifier and Type
Method
Description
`static <E> ObservableSet<E>`
FXCollections.`checkedObservableSet(ObservableSet<E> set, Class<E> type)`
Creates and returns a typesafe wrapper on top of provided observable set.
`static <E> ObservableSet<E>`
FXCollections.`emptyObservableSet()`
Creates an empty unmodifiable observable set.
`ObservableSet<E>`
SetChangeListener.Change.`getSet()`
An observable set that is associated with the change.
`static <E> ObservableSet<E>`
FXCollections.`observableSet(E... elements)`
Constructs an ObservableSet backed by a HashSet that contains all the specified elements.
`static <E> ObservableSet<E>`
FXCollections.`observableSet(Set<E> set)`
Constructs an ObservableSet that is backed by the specified set.
`static <E> ObservableSet<E>`
FXCollections.`synchronizedObservableSet(ObservableSet<E> set)`
Creates and returns a synchronized wrapper on top of provided observable set.
`static <E> ObservableSet<E>`
FXCollections.`unmodifiableObservableSet(ObservableSet<E> set)`
Creates and returns unmodifiable wrapper on top of provided observable set.
Methods in javafx.collections with parameters of type ObservableSet
Modifier and Type
Method
Description
`static <E> ObservableSet<E>`
FXCollections.`checkedObservableSet(ObservableSet<E> set, Class<E> type)`
Creates and returns a typesafe wrapper on top of provided observable set.
`static <E> ObservableSet<E>`
FXCollections.`synchronizedObservableSet(ObservableSet<E> set)`
Creates and returns a synchronized wrapper on top of provided observable set.
`static <E> ObservableSet<E>`
FXCollections.`unmodifiableObservableSet(ObservableSet<E> set)`
Creates and returns unmodifiable wrapper on top of provided observable set.
Constructors in javafx.collections with parameters of type ObservableSet
Modifier
Constructor
Description
``
`Change(ObservableSet<E> set)`
Constructs a change associated with a set.

## Uses of ObservableSet in javafx.css

Methods in javafx.css that return ObservableSet
Modifier and Type
Method
Description
`ObservableSet<PseudoClass>`
Styleable.`getPseudoClassStates()`
Return the pseudo-class state of this Styleable.

## Uses of ObservableSet in javafx.print

Methods in javafx.print that return ObservableSet
Modifier and Type
Method
Description
`static ObservableSet<Printer>`
Printer.`getAllPrinters()`
Retrieve the installed printers.

## Uses of ObservableSet in javafx.scene

Methods in javafx.scene that return ObservableSet
Modifier and Type
Method
Description
`final ObservableSet<PseudoClass>`
Node.`getPseudoClassStates()`

## Uses of ObservableSet in javafx.scene.control

Methods in javafx.scene.control that return ObservableSet
Modifier and Type
Method
Description
`final ObservableSet<PseudoClass>`
MenuItem.`getPseudoClassStates()`
Return the pseudo-class state of this Styleable.
`final ObservableSet<PseudoClass>`
PopupControl.`getPseudoClassStates()`
Return the pseudo-class state of this Styleable.
`final ObservableSet<PseudoClass>`
Tab.`getPseudoClassStates()`
Return the pseudo-class state of this Styleable.
`final ObservableSet<PseudoClass>`
TableColumnBase.`getPseudoClassStates()`
Return the pseudo-class state of this Styleable.